Package org.springframework.beans.factory.config

# Class BeanExpressionContext

java.lang.Object
org.springframework.beans.factory.config.BeanExpressionContext

public class BeanExpressionContext extends Object
Context object for evaluating an expression within a bean definition.

Since:
  3.0
Author:
  Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`BeanExpressionContext(ConfigurableBeanFactory beanFactory, Scope scope)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsObject(String key)`
`boolean`
`equals(Object other)`
`final ConfigurableBeanFactory`
`getBeanFactory()`
`Object`
`getObject(String key)`
`final Scope`
`getScope()`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BeanExpressionContext

public BeanExpressionContext(ConfigurableBeanFactory beanFactory, @Nullable Scope scope)

## Method Details

### getBeanFactory

public final ConfigurableBeanFactory getBeanFactory()

### getScope

@Nullable public final Scope getScope()

### containsObject

public boolean containsObject(String key)

### getObject

@Nullable public Object getObject(String key)

### equals

public boolean equals(@Nullable Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`